import asyncio
import json

import aiohttp
from v6d0auth import certs
from v6d0auth.config import host, port


async def main():
    async with aiohttp.ClientSession() as session:
        # noinspection HttpUrlsUsage
        async with session.ws_connect(f'http://{host}:{port}/reg') as ws:
            nonce = await ws.receive_bytes()
            await ws.send_bytes(certs.sign(json.dumps([[input('token_id:'), input('token:')], nonce.hex()]).encode()))
            print((await ws.receive_bytes()).hex())


if __name__ == '__main__':
    asyncio.run(main())
